Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Yup

(1 edit)

does my iphone need anything to play it ???

Hello Korato, you need OpenGL3 or later to play.